Bug 57667 - EDITING: Fault in Spelling and Grammar dialog box operation.
Summary: EDITING: Fault in Spelling and Grammar dialog box operation.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Spell-Checking-Dialog
  Show dependency treegraph
 
Reported: 2012-11-28 21:49 UTC by John Smith
Modified: 2017-09-14 04:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Smith 2012-11-28 21:49:45 UTC
Problem description: When using the Spelling and Grammar dialog box to correct an error by using the AutoCorrect button, the control fails to fully execute the function.

Steps to reproduce:
1. In a new document with text entered containing a spelling error, select the Spelling and Grammar button (or F7)from the Standard toolbar.
2. Select a replacement word in the suggestions pane of the dialog box.
3. Select the AutoCorrect button.

Current behavior:The word pair is entered into the Replace table in the AutoCorrect list as it should be. The word is not replaced in the document with the selected word.A Change button has to be selected.

Expected behavior: The word in the document should be replaced by the selected word without further action.

              
Operating System: Windows XP
Comment 1 A (Andy) 2013-04-15 20:11:05 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Currently the result is that you choose AUTOCORRECT in the SPELLING AND GRAMMAR dialogue box and apparently nothing happens unless you choose afterwards CHANGE to correct that word.  
But you will now find that word in the autocorrect list (go to the menu TOOLS -> AUTOCORRECT OPTIONS -> tab REPLACE).
Comment 2 Kumāra 2013-09-23 10:34:20 UTC
I agree that "Always correct" should logically also correct as highlighted.
Comment 3 QA Administrators 2015-04-01 14:41:10 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-04-23 11:34:13 UTC
Reproduced.
Note: "Autocorrect" = "Always correct"

Ubuntu 14.10 64-bit 
Version: 4.4.2.2
Build ID: 40m0(Build:2)
Locale: en_US
Comment 5 QA Administrators 2016-09-20 09:33:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920